Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.dwrp
Class PlainCallMarshaller

    java.lang.Object
      org.directwebremoting.dwrp.BaseCallMarshaller
          org.directwebremoting.dwrp.PlainCallMarshaller

All Implemented Interfaces:
  Marshaller

    public class PlainCallMarshaller

extends BaseCallMarshaller

A Marshaller that outputs plain Javascript.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`PlainCallMarshaller()`

Method Summary
`void` | `setAllowScriptTagRemoting(boolean allowScriptTagRemoting)` Do we allow ScriptTag remoting?
`void` | `setScriptTagProtection(java.lang.String scriptTagProtection)` What is the string we use for script tag hack protection

Methods inherited from class org.directwebremoting.dwrp.BaseCallMarshaller
`isConvertable, marshallException, marshallInbound, marshallOutbound, setAccessControl, setAllowGetForSafariButMakeForgeryEasier, setConverterManager, setCreatorManager, setCrossDomainSessionSecurity, setPageNormalizer, setSessionCookieName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainCallMarshaller

    public PlainCallMarshaller()

Method Detail

### setAllowScriptTagRemoting

    public void setAllowScriptTagRemoting(boolean allowScriptTagRemoting)

  Do we allow ScriptTag remoting?

  Parameters:
    `allowScriptTagRemoting` - The new value to set

### setScriptTagProtection

    public void setScriptTagProtection(java.lang.String scriptTagProtection)

  What is the string we use for script tag hack protection

  Parameters:
    `scriptTagProtection` - the scriptTagProtection to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD